import { DataImportInternalApi } from '../Internal/DataImportInternalApi';
import { ApiBase } from './ApiBase';
export class DataImportApiImpl extends ApiBase {
    constructor(_adaptable) {
        super(_adaptable);
        this.internalApi = new DataImportInternalApi(_adaptable);
    }
    openImportWizard() {
        this.getSettingsPanelApi().openSettingsPanel('DataImport');
    }
    importData(partialRows) { }
}
